/*---------------------------------------------------------------------------------

 Theme Name:   QPBC theme
 Theme URI:    
 Description:  A Wordpress theme for Queen's Park Baptist Church
 Author:       Emma Boyd
 Author URI:   http://www.emmaboyd.co.uk
 Template:     Divi
 Version:      2.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html

------------------------------ ADDITIONAL CSS HERE ------------------------------*/

/* Map pinned info window font */
.infowindow {
    font-family: 'open sans', sans-serif !important;
}
/* Stop long header words breaking */
h1, h2, h3, h4, h5, h6, p {
word-wrap: normal!important;
}
/* Add border to checkbox field and checkbox on josefin theme layout */
p.et_pb_with_border.et_pb_contact_field.et_pb_contact_field_4.et_pb_contact_field_last {
    border: 1px solid rgba(255, 255, 255, .5);
    margin-left: 19px;
}
p.et_pb_contact_field .input[type="checkbox"]+label i {
    border: 1px solid rgba(255, 255, 255, .5) !important;
}
/* Bring mobile nav in earlier */
@media (max-width: 1180px) {
#et_mobile_nav_menu {
display: block;
}
#top-menu {
display: none;
}
}
/* Add scrolling to mobile menu */
.et_mobile_menu{
height: 300px;
overflow-y: scroll;
}

/* Fix jumping header */ 
@media screen and (min-width: 981px) {

  #page-container {
    padding-top:80px !important;
  }

#main-header {
    top: 0px !important;
  }

.admin-bar #main-header {
    top: 32px !important;
  }
}

/* Footer social icon hover colours*/

#footer-bottom .et-social-facebook a:hover {
	color: #e6007e!important;
}
#footer-bottom .et-social-twitter a:hover {
	color: #e6007e!important;
}
#footer-bottom .et-social-google-plus a:hover {
	color: #e6007e!important;
}
#footer-bottom .et-social-rss a:hover {
	color: #e6007e!important;
}
#footer-bottom .et-social-instagram a:hover {
	color: #e6007e!important;
}
#footer-bottom .et-social-youtube a:hover {
	color: #e6007e!important;
}

/* Add Youtube icon */
.et-social-youtube a.icon:before {
    content: "\E0A3";
}

/* TYPOGRAPHY */

p {
word-wrap: normal; /* Stop long header words breaking */
}

h1, h2, h3, h4, h5, h6, .et_pb_fullwidth_header_subhead {
font-weight: 700 !important;
word-wrap: normal; /* Stop long header words breaking */
letter-spacing: 5px;
line-height: 1.4em;
}

h1 {
 font-size: 60px; 
 padding-bottom: 3vh;
 margin-bottom: 0vh;
}

h2 {
 font-size: 34px;
 padding-bottom: 2vh;
 margin-bottom: 0vh;
}

h3 {
 font-size: 20px;
 padding-bottom: 2vh;
 margin-bottom: 0vh;
}

h4 {
 font-size: 16px;
 padding-bottom: 2vh;
 margin-bottom: 0vh;
}

/* EDITED JOSEFIN CHURCH CSS */

/* TAGS */

blockquote {
 font-size: 48px;
 font-family: 'Pacifico', cursive !important;
 font-weight: 400;
 font-style: italic;
 padding: 0;
 line-height: 1.4em;
 color: #000;
 border: none;
}



/* BUTTONS */
.et_pb_button, .et_pb_button:hover {
 font-weight: 700;
 line-height: 1.2em;
}
.smallButton {
 float: left;
 margin-right: 8px !important;
 margin-bottom: 8px !important;
 padding: 7px 20px 4px !important
}



/* HEADER */
.et_pb_fullwidth_header_subhead {
 font-weight: 700;
 letter-spacing: 7px;
 margin-bottom: 18px;
 margin-top: 10px;
}



/* TWO COLUMN SWITCH */
@media screen and (max-width : 980px) {
  .josefinTwoColumnSwitch .et_pb_row {
    display: -webkit-flex;
    display: -ms-flex;
    display: flex;
    -webkit-flex-direction: column-reverse;
    -ms-flex-direction: column-reverse;
    flex-direction: column-reverse;
  }
}



/* VERTICAL ALIGN*/
.vertical-align { 
  display: flex; 
  flex-direction: column; 
  justify-content: center;
}


/*CTAS*/
#ctas .cta {
  min-height: 300px;
}
#ctas .cta:hover {
  cursor: pointer;
}
#ctas .cta:before {
  content:"";
  display: block;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.0);
  -webkit-transition: all .3s ease-in-out;
  -moz-transition: all .3s ease-in-out;
  -o-transition: all .3s ease-in-out;
  -ms-transition: all .3s ease-in-out;
  transition: all .3s ease-in-out;
}
#ctas .cta:hover:before {
  background-color: rgba(0, 0, 0, 0.6);
}
#ctas a {
  color: #fff;
  position: relative;
  z-index: 9999;
}
@media screen and (max-width : 980px) {
	#ctas .cta {
    min-height: 200px;
  }
}
@media screen and (max-width : 768px) {
	#ctas .et_pb_row {
    padding: 0;
  }
  #ctas .cta {
    min-height: 150px;
  }
}



/* TESTIMONIALS */
.et_pb_testimonial_author {
 font-size: 18px;
}
.et_pb_testimonial_meta {
 font-size: 12px;
}
@media screen and (max-width : 768px) {
 .et_pb_column .et_pb_testimonial_portrait {
 float: none;
 display: block;
 margin: 0 auto 20px;
 }
}



/* CONTACT FORM */
.et_pb_contact_main_title {
 font-weight: 900;
}
.et_pb_contact_captcha_question {
 font-size: 20px;
}
input.et_pb_contact_captcha {
 padding: 15px 15px 13px 15px !important;
}
.lightForm h1 {
 color: #fff;
}
.lightForm .et_pb_contact input, .lightForm .et_pb_contact textarea {
 background-color: rgba(0, 0, 0, 0);
 color: #fff;
 border: 1px solid rgba(255, 255, 255, .5);
 -webkit-transition: all .3s ease-in-out;
 -moz-transition: all .3s ease-in-out;
 -o-transition: all .3s ease-in-out;
 -ms-transition: all .3s ease-in-out;
 transition: all .3s ease-in-out;
}
.lightForm .et_pb_contact input:focus, .lightForm .et_pb_contact textarea:focus {
 background-color: rgba(255, 255, 255, 1);
 color: #000;
 border-color: rgba(255, 255, 255, 1);
}
.lightForm .et_pb_contact_captcha_question {
 color: #fff;
}
.lightForm button[type="submit"].et_pb_button {
 color: #000;
 background-color: rgba(255, 255, 255, 1);
 border-color: #fff;
}
.lightForm button[type="submit"].et_pb_button:hover {
 color: #fff !important;
 background-color: rgba(255, 255, 255, 0);
 border-color: #fff !important;
}
@media screen and (max-width : 600px) {
 .lightForm .et_pb_contact_right {
 margin-bottom: 10px;
 }
}



/* 2 COLUMN HALF SECTION - PIC & TEXT */
.imageBackground .et_pb_promo_description {
 padding-bottom: 10px;
}
.rowPic .rowPicImage {
 background-position: center center;
 background-size: cover;
}
.rowPic .rowPicText {
 padding: 50px;
}
@media screen and (max-width : 990px) {
 .rowPic .rowPicImage, .et_pb_column.rowPicImage {
 height: 500px !important;
 display: block !important;
 }
 .rowPic .rowPicText {
 padding: 50px !important;
 }
 #video .rowPic .rowPicText:last-child {
 padding: 0 50px 50px !important;
 }
}
@media screen and (max-width : 320px) {
 .rowPic .rowPicImage, .et_pb_column.rowPicImage {
 height: 250px !important;
 }
 .rowPic .rowPicText {
 padding: 30px !important;
 }
 #video .rowPic .rowPicText:last-child {
 padding: 0 30px 30px !important;
 }
}



/* KEN BURNS - LINEAR */
@media only screen and (min-width: 767px) {
 .josefinKenBurnsHeader .et_parallax_bg {
 animation: josefinKenburns 45s forwards;
 }
}
@media only screen and (min-width: 767px) {
 .josefinKenBurnsSection .et_parallax_bg {
 animation: josefinKenburns 45s infinite;
 }
}
@keyframes josefinKenburns {
 0% {
 opacity: 0;
 -ms-transform: scale3d(1.05, 1.05, 1.05) translate3d(-15px, 0px, 0px);
 -webkit-transform: scale3d(1.05, 1.05, 1.05) translate3d(-15px, 0px, 0px);
 transform: scale3d(1.05, 1.05, 1.05) translate3d(-15px, 0px, 0px);
 animation-timing-function: linear;
 }
 1% {
 opacity: 1;
 }
 100% {
 -ms-transform: scale3d(1.3, 1.3, 1.3) translate3d(-25px, -55px, 0px);
 -webkit-transform: scale3d(1.3, 1.3, 1.3) translate3d(-25px, -55px, 0px);
 transform: scale3d(1.3, 1.3, 1.3) translate3d(-25px, -55px, 0px);
 }
}



/* OVERLAPPING TEXT & IMAGE SECTION */
/* IMAGE LEFT & TEXT RIGHT */
.josefinOverlap .josefinOverlapImageLeft {
 box-shadow: 0 0 50px rgba(0,0,0,.3);
 position: relative;
 z-index: 998;
 margin-left: 75px;
}
.josefinOverlap .josefinOverlapTextRight {
 box-shadow: 0 0 50px rgba(0,0,0,.2);
 position: relative;
 z-index: 999;
 margin-left: -125px;
 margin-top: 75px;
}
@media screen and (max-width : 1140px) {
 .josefinOverlap .josefinOverlapImageLeft {
 margin-left: 50px;
 }
 .josefinOverlap .josefinOverlapTextRight {
 margin-left: -75px;
 margin-top: 50px;
 }
}
@media screen and (max-width : 980px) {
 .josefinOverlap .josefinOverlapImageLeft {
 margin-left: 13%;
 }
 .josefinOverlap .josefinOverlapTextRight {
 margin-left: -13%;
 margin-top: -90px;
 }
}
@media screen and (max-width : 768px) {
 .josefinOverlap .josefinOverlapImageLeft {
 margin-left: 4%;
 }
 .josefinOverlap .josefinOverlapTextRight {
 margin-left: -4%;
 }
}
@media screen and (max-width : 600px) {
 .josefinOverlap .josefinOverlapImageLeft {
 margin-left: 0;
 }
 .josefinOverlap .josefinOverlapTextRight {
 margin-left: 0;
 margin-top: -30px;
 }
}

/* TEXT LEFT & IMAGE RIGHT */
.josefinOverlap .josefinOverlapImageRight {
 box-shadow: 0 0 50px rgba(0,0,0,.3);
 position: relative;
 z-index: 998;
 margin-left: -125px;
}
.josefinOverlap .josefinOverlapTextLeft {
 box-shadow: 0 0 50px rgba(0,0,0,.2);
 position: relative;
 z-index: 999;
 margin-left: 75px;
 margin-top: 75px;
}
@media screen and (max-width : 1140px) {
 .josefinOverlap .josefinOverlapImageRight {
 margin-left: -75px;
 }
 .josefinOverlap .josefinOverlapTextLeft {
 margin-left: 50px;
 margin-top: 50px;
 }
}
@media screen and (max-width : 980px) {
 .josefinOverlap .josefinOverlapImageRight {
 margin-left: -13%;
 margin-top: -90px;
 }
 .josefinOverlap .josefinOverlapTextLeft {
 margin-left: 13%;
 margin-top: 0;
 }
}
@media screen and (max-width : 768px) {
 .josefinOverlap .josefinOverlapImageRight {
 margin-left: -4%;
 }
 .josefinOverlap .josefinOverlapTextLeft {
 margin-left: 4%;
 }
}
@media screen and (max-width : 600px) {
 .josefinOverlap .josefinOverlapImageRight {
 margin-left: 0;
 margin-top: -30px;
 }
 .josefinOverlap .josefinOverlapTextLeft {
 margin-left: 0;
 }
}


/* MEDIA QUERIES */
@media screen and (max-width: 980px) {
 h2 {
 font-size: 30px;
 }
 h4 {
 font-size: 18px;
 }
 .et_pb_button {
 letter-spacing: 5px !important;
 }
 body.home .et_pb_column_1, body.home .et_pb_column_3 {
 padding: 30px;
 }
 .stats .statsRow .et_pb_column {
 width: 47% !important;
 margin-bottom: 30px;
 margin-top: 15px;
 }
 #reviews h2 {
 font-family: 'Josefin Sans', sans-serif !important;
 font-weight: 700 !important;
 font-size: 150%!important;
 }
 #reviews blockquote {
 color: #fff;
 font-size: 18px;
 line-height: 1.5em;
 }
}

@media screen and (max-width : 768px) {
 .et_pb_row {
 width: 100%;
 padding: 0 50px;
 }
 .rowPic {
 padding: 0;
 }
}

@media screen and (max-width: 550px) {
 h2 {
 font-size: 24px;
 }
 h4 {
 font-size: 14px;
 }
 blockquote {
 font-size: 24px;
 }
 .et_pb_button {
 display: block !important;
 width: 100%;
 text-align: center;
 }
 .smallButton {
 float: none;
 font-size: 17px !important;
 margin-bottom: 10px !important;
 text-align: center;
 }
 .et_pb_slide_description, .et_pb_slider_fullwidth_off .et_pb_slide_description {
 padding: 16% 5%;
 }
 #reviews blockquote {
 font-size: 16px;
 }
 #reviews h5 {
 font-size: 10px;
 }
 #emailList h4 {
 color: #969696;
 font-size: 13px;
 letter-spacing: 2px;
 line-height: 1.3em;
 }
 .stats .statsRow .et_pb_column {
 width: 100% !important;
 }
}

@media screen and (max-width : 325px) {
 .et_pb_fullwidth_header_0.et_pb_fullwidth_header .header-content h1 {
 font-size: 36px !important;
 }
 .et_pb_fullwidth_header_0.et_pb_fullwidth_header p {
 font-size: 14px !important;
 line-height: 1.5em !important;
 }
 span.scroll-down.et-pb-icon {
 bottom: 10px !important;
 }
 #reviews h2 {
 font-size: 14px !important;
 }
 .et_pb_toggle h5 {
 font-size: 14px !important;
 }
 button[type="submit"].et_pb_button {
 margin-top: 15px !important;
 }
 body.home .et_pb_fullwidth_header_0.et_pb_fullwidth_header .header-content h1 {
 font-size: 30px !important;
 }
 h1 {
 font-size: 24px !important;
 }
 h2 {
 font-size: 18px !important;
 }
 h3 {
 font-size: 16px !important;
 }
 h4 {
 font-size: 14px !important;
 }
 h5 {
 font-size: 12px !important;
 }
 h6 {
 font-size: 10px !important;
 }
 .et_pb_toggle h5 {
 font-size: 12px !important;
 }
 .et_pb_fullwidth_header_1.et_pb_fullwidth_header .et_pb_fullwidth_header_subhead {
 font-size: 14px !important;
 }
}



/* DOWN ARROW ANIMATION */
.et_pb_fullwidth_header_scroll {
 opacity: .6;
}
span.scroll-down.et-pb-icon {
 cursor: pointer;
 height: 60px;
 width: 80px;
 margin: 0px 0 0 -40px;
 line-height: 60px;
 position: absolute;
 left: 50%;
 bottom: 30px;
 color: #fff;
 text-align: center;
 font-size: 70px;
 z-index: 100;
 text-decoration: none;
 text-shadow: 0px 0px 3px rgba(0, 0, 0, 0.4);
 -webkit-animation: ca3_fade_move_down 2s ease-in-out infinite;
 -moz-animation: ca3_fade_move_down 2s ease-in-out infinite;
 animation: ca3_fade_move_down 2s ease-in-out infinite;
}
@-webkit-keyframes ca3_fade_move_down {
 0% {
 -webkit-transform: translate(0, -20px);
 opacity: 0;
 }
 50% {
 opacity: 1;
 }
 100% {
 -webkit-transform: translate(0, 20px);
 opacity: 0;
 }
}
@-moz-keyframes ca3_fade_move_down {
 0% {
 -moz-transform: translate(0, -20px);
 opacity: 0;
 }
 50% {
 opacity: 1;
 }
 100% {
 -moz-transform: translate(0, 20px);
 opacity: 0;
 }
}
@keyframes ca3_fade_move_down {
 0% {
 transform: translate(0, -20px);
 opacity: 0;
 }
 50% {
 opacity: 1;
 }
 100% {
 transform: translate(0, 20px);
 opacity: 0;
 }
}

/* LAST EDITED BY EMMA BOYD ON FEB 14, 2020 */